Subject: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Andrea Corallo <[email-masked]>
Date: Wed, 31 Mar 2021 10:33:43 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 31 Mar 2021 13:01:36 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> For some reason, compiling files with batch-native-compile does NOT
>> produce the message that I'm used to see with
>> batch-byte-native-compile-for-bootstrap:
>> 
>>   libgccjit-0.dll: note: disable pass tree-isolate-paths for functions in the range of [0, 4294967295]
>
> Oh, I see: it's because batch-native-compile runs the final
> compilation phase in a subprocess.  But doesn't that mean the
> non-default setting of comp-debug will not have its effect in this
> case?

`comp-debug' at that point is captured in the compilation context
`comp-ctxt', we have a slot for that in the structure.

> Btw, I find the doc strings of the various top-level native-compile
> functions not very helpful when I need to understand under what
> circumstances they run the compilation asynchronously.  I always need
> to read the code, and read it carefully, to figure that out.  Can this
> please be improved?

Sure, if you have a list of the one that you have found troublesome
(and/or some suggestion) I'll try to improve them.

Thanks

  Andrea